if [[ $+commands[pay-respects] ]]; then
  alias f="$(pay-respects zsh)"
fi

if [[ $+commands[navi] ]]; then
  eval "$(navi widget zsh)"
  alias wtf="navi"
  alias help="navi"
fi

alias rzsh="source ~/.zshrc && echo 'Successfully reloaded zsh!'"
alias aliases="${EDITOR} $ZSH_CUSTOM/aliases.zsh && rzsh"
alias zshrc="${EDITOR} ~/.zshrc && rzsh"
alias zshconfig="zshrc"
alias zshcustom="${EDITOR} $ZSH_CUSTOM && rzsh"
alias ohmyzsh="${EDITOR} ~/.oh-my-zsh && rzsh"
alias vi="${EDITOR}"
alias vim="${EDITOR}"
alias nano="${EDITOR}"

if [[ $+commands[fastfetch] ]]; then
  alias neofetch="fastfetch"
  alias nf="fastfetch"
  alias ff="fastfetch"
fi

if [[ $+commands[uwufetch] ]]; then
  alias uf="uwufetch"
fi

if [[ $+commands[pacman] ]]; then
  # this lists packages installed with pacman by size in mebibytes
  alias pacsize="pacman -Qi | egrep '^(Name|Installed)' | cut -f2 -d':' | paste - - | column -t | sort -nrk 2 | grep MiB | less"
fi

if [[ $+commands[yay] ]]; then
  alias aur="yay"
  alias yaystats="yay -P --stats"
  alias pacstats="yaystats"
fi

if [[ $+commands[lazygit] ]]; then
  alias lg="lazygit"
fi
if [[ $+commands[lazydocker] ]]; then
 alias lad="lazydocker"
fi
if [[ $+commands[btop] ]]; then
  alias htop="btop"
fi


if [[ "${XDG_SESSION_TYPE}" == "x11" ]]; then
  if [[ $+commands[xsel] ]]; then
    alias clip="xsel -ib"
  elif [[ $+commands[xclip] ]]; then
    alias clip="xclip"
  else
    alias clip="Detected x11, but xsel or xclip are not installed."
  fi

elif [[ -n "${WAYLAND_DISPLAY}" ]]; then
  if [[ $+commands[wl-copy] ]]; then
    alias clip="wl-copy"
  else
    alias clip="Detected Wayland, but wl-copy is not installed."
  fi

elif [[ -n "${SSH_CONNECTION}" ]]; then
  if [[ $+commands[lemonade] ]]; then
    alias clip="lemonade copy"
  else
    alias clip="Detected an SSH connection, but lemonade is not installed."
  fi

else
  alias clip='echo "Cannot determine desktop session type, are you running a display server that is not X11 or Wayland?"'
fi


if [[ $+commands[nvidia-smi] ]]; then
  alias driver="nvidia-smi"
fi
if [[ $+commands[nvidia-settings] ]]; then
  alias gpu="sudo nvidia-settings"
fi
if [[ $+commands[forgejo-runner] ]]; then
alias runactions="forgejo-runner exec --network=host --default-actions-url=https://www.coastalcommits.com --gitea-instance=https://www.coastalcommits.com"
fi
if [[ $+commands[tailscale] ]]; then
  alias taildrop="tailscale file"
fi
alias protontricks="flatpak run com.github.Matoking.protontricks"
alias sober="flatpak run org.vinegarhq.Sober"
alias sudo="sudo "
